---@meta

---@class UCP_SC_2CmpPicker_C : UUserWidget
---@field UberGraphFrame FPointerToUberGraphFrame
---@field OnValuesChanged FCP_SC_2CmpPicker_COnValuesChanged
---@field CurrentCmp1 double
---@field CurrentCmp2 double
---@field IsInitialized boolean
---@field MaxCmp1 double
---@field MaxCmp2 double
local UCP_SC_2CmpPicker_C = {}

function UCP_SC_2CmpPicker_C:ProcessLButtonUp() end
---@param MyGeometry FGeometry
---@param MyPointerEvent FPointerEvent
function UCP_SC_2CmpPicker_C:ProcessLButtonDown(MyGeometry, MyPointerEvent) end
---@param MyGeometry FGeometry
---@param MouseEvent FPointerEvent
---@return FEventReply
function UCP_SC_2CmpPicker_C:OnMouseMove(MyGeometry, MouseEvent) end
---@param MyGeometry FGeometry
---@param MouseEvent FPointerEvent
---@return FEventReply
function UCP_SC_2CmpPicker_C:OnMouseButtonUp(MyGeometry, MouseEvent) end
---@param MyGeometry FGeometry
---@param MyPointerEvent FPointerEvent
function UCP_SC_2CmpPicker_C:ProcessChangeOnMouseAction(MyGeometry, MyPointerEvent) end
---@param MyGeometry FGeometry
---@param MouseEvent FPointerEvent
---@return FEventReply
function UCP_SC_2CmpPicker_C:OnMouseButtonDown(MyGeometry, MouseEvent) end
---@param Geometry FGeometry
---@param MouseEvent FPointerEvent
function UCP_SC_2CmpPicker_C:UpdateColorOnClick(Geometry, MouseEvent) end
---@param NewCmp1 double
---@param NewCmp2 double
function UCP_SC_2CmpPicker_C:UpdateCmps(NewCmp1, NewCmp2) end
---@param Cmp1 double
---@param Cmp2 double
---@param SelectorWidget UWidget
function UCP_SC_2CmpPicker_C:UpdateSelectorPositionOnRectCmp(Cmp1, Cmp2, SelectorWidget) end
---@param Cmp1 double
---@param Cmp2 double
function UCP_SC_2CmpPicker_C:UpdateSelectorPosition(Cmp1, Cmp2) end
---@param Coords FVector2D
---@param LocalSize FVector2D
function UCP_SC_2CmpPicker_C:UpdateColorOnDrag(Coords, LocalSize) end
---@param MyGeometry FGeometry
---@param InDeltaTime float
function UCP_SC_2CmpPicker_C:Tick(MyGeometry, InDeltaTime) end
---@param EntryPoint int32
function UCP_SC_2CmpPicker_C:ExecuteUbergraph_CP_SC_2CmpPicker(EntryPoint) end
---@param NewCmp1 double
---@param NewCmp2 double
function UCP_SC_2CmpPicker_C:OnValuesChanged__DelegateSignature(NewCmp1, NewCmp2) end


